commit ecb77303cf268bb7d8380f0eb286597133ae9f71
Author: Phong Vo <pvo@apm.com>
Date:   Thu Dec 3 09:21:12 2015 +0700

    Add SIG-specific config-centos-sig needed to enable additional CONFIG
    options so as not to impact original config that goes with the release
    
    Signed-off-by: Phong Vo <pvo@apm.com>

diff --git a/SOURCES/config-centos-sig b/SOURCES/config-centos-sig
new file mode 100644
index 0000000..7837a37
--- /dev/null
+++ b/SOURCES/config-centos-sig
@@ -0,0 +1,17 @@
+# This file is for SIG members to add additional configuration options
+# common to CentOS SIG but not configured in other config files
+
+# Mailbox
+CONFIG_MAILBOX=y
+# CONFIG_PL320_MBOX is not set
+# CONFIG_PCC is not set
+# CONFIG_ARM_MHU is not set
+# CONFIG_ALTERA_MBOX is not set
+CONFIG_XGENE_SLIMPRO_MBOX=m
+CONFIG_I2C_XGENE_SLIMPRO=m
+CONFIG_SCSI_MPT2SAS=m
+CONFIG_SCSI_MPT2SAS_MAX_SGE=128
+CONFIG_SCSI_MPT2SAS_LOGGING=y
+CONFIG_SCSI_MPT3SAS=m
+CONFIG_SCSI_MPT3SAS_MAX_SGE=128
+CONFIG_SCSI_MPT3SAS_LOGGING=y

diff --git a/SPECS/kernel-aarch64.spec b/SPECS/kernel-aarch64.spec
index b0c141e..0d97efd 100644
--- a/SPECS/kernel-aarch64.spec
+++ b/SPECS/kernel-aarch64.spec
@@ -668,7 +668,7 @@ rm -f kernel-%{version}-*debug.config
 # now run oldconfig over all the config files
 for i in *.config
 do
-  mv $i .config
+  perl merge.pl config-centos-sig $i > .config
   Arch=`head -1 .config | cut -b 3-`
   %{make} ARCH=$Arch listnewconfig | grep -E '^CONFIG_' >.newoptions || true
 %if %{listnewconfig_fail}
